;;; "c-p-ga-bewertung.scm"
;;; ===== Bewertung =====
; Die Elemente des POOLS werden so bewertet, dass vom Wert
; der eingefuellten Stuecke der Wert der ueberschrittenen mehrfach (faktor) abgezogen wird.
(define
  (bewerte container-liste)
  (cond
    ((null? container-liste) 0)
    ((zero? (caar container-liste)) ; restliche Stuecke rausschmeissen
     (bewerte (cdr container-liste)))
    ((< (caar container-liste) (apply + (cdar container-liste))) ; zu voll!
     (+ (bewerte (cdr container-liste))
        (apply + (cdar container-liste))
        (* 3 (- (caar container-liste) (apply + (cdar container-liste))))))
    (else
     (+ (bewerte (cdr container-liste))
        (apply + (cdar container-liste))))))

;(bewerte '((0 30 20 10 40 30 20 10 80 50 30 20 10 80 50 40 30 20 10 40 30 20 10)))
